%global py2_build_dir %{_builddir}/%{name}-%{version}-%{release}-python2
%define with_python2 0
%global __requires_exclude ^.*python[2|3]*.7dist\\(.*\\).*$

Name:           pywbem
Version:        1.6.1
Release:        1
Summary:        WBEM client and WBEM indication listener
License:        LGPLv2
URL:            https://github.com/pywbem/pywbem
Source0:        https://files.pythonhosted.org/packages/82/06/8ec1c9213b011132404ea245aed079a6b9c4404300dae32d586810032087/pywbem-1.6.1.tar.gz

BuildRequires:  python3-pip python3-PyYAML python3-ply python3-rpm-macros python3-pbr python3-devel git python3-wheel
BuildArch:      noarch


%description
A WBEM client allows issuing operations to a WBEM server, using the CIM (Common
Information Model)  operations over HTTP (CIM-XML) protocol defined in the DMTF
standards DSP0200 and DSP0201. The CIM/WBEM infrastructure is used for a wide
variety of systems management tasks supported by systems running WBEM servers.
A WBEM indication listener allows receiving indications generated by a WBEM server.

%package -n python3-pywbem
Summary:        Python3 WBEM client and WBEM indication listenex
Requires:       python3-PyYAML python3-six python3-ply python3-mock python3-pbr python3-nocasedict python3-nocaselist python3-yamlloader
BuildArch:      noarch

%description -n python3-pywbem
A WBEM client allows issuing operations to a WBEM server, using the CIM (Common
Information Model)  operations over HTTP (CIM-XML) protocol defined in the DMTF
standards DSP0200 and DSP0201. The CIM/WBEM infrastructure is used for a wide
variety of systems management tasks supported by systems running WBEM servers.
A WBEM indication listener allows receiving indications generated by a WBEM server.

%prep
%autosetup -n %{name}-%{version} -p1

%build
PBR_VERSION="%{version}" CFLAGS="%{optflags}" %{__python3} setup.py build

%install
env PYTHONPATH=%{buildroot}/%{python3_sitelib} PBR_VERSION="%{version}" \
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%files -n python3-pywbem
%{python3_sitelib}/*
%{_bindir}/*
%exclude /usr/bin/*.bat
%doc README.rst LICENSE.txt


%changelog
* Fri Jun 02 2023 yaoxin <yao_xin001@hoperun.com> - 1.6.1-1
- Update to 1.6.1

* Thu Jun 16 2022 zhangy1317 <zhangy1317@foxmail.com> - 1.4.1-1
- Upgrade version for openstack yoga

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 1.1.3-1
- Update version to 1.1.3

* Fri Sep 11 2020 liuweibo<liuweibo10@huawei.com> - 0.12.4-6
- Fix Source0

* Sat Mar 14 2020 gulining<gulining1@huawei.com> - 0.12.4-5
- remove python2

* Mon Dec 16 2019 likexin<likexin4@huawei.com> - 0.12.4-4
- modify requires_exclude

* Mon Dec 16 2019 likexin<likexin4@huawei.com> - 0.12.4-3
- add requires_exclude python dist

* Thu Nov 28 2019 likexin<likexin4@huawei.com> - 0.12.4-2
- Package init
